%define name	ocaml-expat
%define version	0.9.1
%define release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Ocaml wrapper for the Expat XML parsing library
License:	GPL
Group:		Development/Other
URL:		http://www.xs4all.nl/~mmzeeman/ocaml
Source0: 	http://www.xs4all.nl/~mmzeeman/ocaml/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-destdir.patch
BuildRequires:	ocaml
BuildRequires:	expat-devel
BuildRequires:  findlib
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
An ocaml wrapper for the Expat XML parsing library. It allows you to write
XML-Parsers using the SAX method. An XML document is parsed on the fly without
needing to load the entire XML-Tree into memory.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	expat-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch

%build
%make depend
%make all allopt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}/stublibs
make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{ocaml_sitelib}"
rm -f %{buildroot}/%{ocaml_sitelib}/stublibs/*.owner

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE README doc
%dir %{ocaml_sitelib}/expat
%{ocaml_sitelib}/expat/*.cmi

%files devel
%defattr(-,root,root)
%{ocaml_sitelib}/expat/*
%exclude %{ocaml_sitelib}/expat/*.cmi
%{ocaml_sitelib}/stublibs/dllmlexpat.so


%changelog
* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-5mdv2008.1
+ Revision: 178367
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-4mdv2008.0
+ Revision: 77677
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage

* Sat Jun 23 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.1-3mdv2008.0
+ Revision: 43341
- build 'allopt' too

* Tue Jun 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.1-2mdv2008.0
+ Revision: 41240
- rebuild against new ocaml

* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 18421
- Import ocaml-expat



* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
- first mdv release
